"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writePackage = writePackage;
const store_connection_manager_1 = require("@pnpm/store-connection-manager");
async function writePackage(dep, dest, opts) {
    const store = await (0, store_connection_manager_1.createOrConnectStoreController)({
        ...opts,
        packageImportMethod: 'clone-or-copy',
    });
    const pkgResponse = await store.ctrl.requestPackage(dep, {
        downloadPriority: 1,
        lockfileDir: opts.dir,
        preferredVersions: {},
        projectDir: opts.dir,
    });
    const { files } = await pkgResponse.fetching();
    await store.ctrl.importPackage(dest, {
        filesResponse: files,
        force: true,
    });
}
//# sourceMappingURL=writePackage.js.map